Getting Started with SpringBoot in Intellij IDEA Community Edition

We can use Intellij IDEA Community Edition for working with SpringBoot applications as we don’t need support for configuring servers like Tomcat, Wildlfy etc and can simply run the applications by running main() method. However, there is no provision in Intellij IDEA Community Edition to create SpringBoot application directly, the way it supports in Ultimate Edition. We can go to http://start.spring.io/ and generate the project and then import into our IDE. But it would be nice to be able to create the SpringBoot project from IDE itself. One simple alternative I found to circumvent this problem is by using Project

Continue reading »

Dear NetBeansIDE, You are just one step away from massive adoption

Well, NetBeansIDE 7.3 is out with plenty of new features, tremendous performance improvements.In addition to the great support for Java/JavaEE technologies, NetBeansIDE 7.3 comes with decent support for HTML5, Groovy, PHP, C++ as well. If you are skeptic with older versions of NetBeans like 5.x and never again look at NetBeansIDE, I would strongly suggest you to take a look at latest NeaBeans releases specifically 6.9.x on wards. However, I wish NetBeans should have following features which greatly increases its adoption:1. NetBeansIDE as a zipped bundle: You may ask how does it matters?!!. Think about the enthusiastic developers in so called Big MNCs without

Continue reading »

Solution for “Eclipse is running in a JRE, but a JDK is required” problem

Hi, When i installed Maven2 Plugin for eclipse i was getting the below error message when i startup my Eclipse IDE. After that when I tried to perform Maven operations thrugh Eclipse I got some errors saying “…/tools.jar” is not there. I did the below things to get rid of that problem. open the eclipse.ini file and add the below argument. -vm C:/Siva/Java/jdk1.6.0_04/bin/javaw.exe Note: The VM configuration should be in two lines and in between –lancher and -vmargs. –launcher.XXMaxPermSize 256m -vm C:/Siva/Java/jdk1.6.0_04/bin/javaw.exe -vmargs -Dosgi.requiredJavaVersion=1.5 -Xms40m -Xmx512m

Continue reading »